TweetsmashDocs
LoginDashboard
Getting Started
Getting Started
For AI agents
OverviewConnect your agentAgent Skills
MCP
MCP Integration
Bookmarks
GETFetch Saved PostsGETGet a Bookmark (full content)
Labels
GETManage LabelsPOSTAdd Labels to TweetsPOSTRemove Labels from TweetsPOSTAdd Labels by Filter (bulk)
Smart Views
GETList Smart ViewsGETGet / Update / Delete a Smart ViewGETGet Smart View Bookmarks
Exports
POSTExport Bookmarks (PDF / CSV / JSON)
Memory
GETMemories (remember / recall / forget)
Integrations
n8n IntegrationWebhook Integration
API Docs/Core API/Get a Bookmark (full content)
Endpoint

Get a Bookmark (full content)

Retrieve a single bookmark with its FULL content. By default the response includes the X Article body, the unrolled thread, and notes; use the `include` query parameter to narrow or add replies. The extra content is returned under `full_content`.

GEThttps://api.tweetsmash.com/v1/bookmarks/:id

Path Parameters

Header Parameters

Query Parameters

Response

{
  "status": true,
  "data": {
    "post_id": "1938682607145034084",
    "tweet_details": {},
    "full_content": {
      "article_text": null,
      "notes": null,
      "thread": []
    }
  }
}